Bug 191130 - Review Request: kmobiletools
Review Request: kmobiletools
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-05-08 22:30 EDT by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-21 17:47:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2006-05-08 22:30:27 EDT
Spec URL: http://ausil.us/packages/kmobiletools.spec
SRPM URL: http://ausil.us/packages/kmobiletools-
KMobileTools is a KDE application that allows you to control your mobile phone
from your GNU/Linux workstation

To use KMobileTools you need a mobile phone, that can be attached to your PC
using any type of connection (serial, USB, bluetooth and irda were tested
successfully), and using an AT interface (modem-like)
Comment 1 Dennis Gilmore 2006-05-09 09:47:22 EDT
DEFINE QT Dirs to ensure  build is ok
Spec URL: http://ausil.us/packages/kmobiletools.spec
SRPM URL: http://www.ausil.us/packages/kmobiletools-

also not 100% sure is I should include a udev ruleset.  the couple of mobile 
phones i have tried use /dev/ttyACM0  which gets 
[dennis@rpclnx001 SPECS]$ ls -la /dev/ttyACM0
crw-rw---- 1 root uucp 166, 0 May  9 08:32 /dev/ttyACM0

so the user cant access the phone. the two  things  that can make it easier is  
1 making the owner  the logged in user  or 
2 make the users  needing access members of the uucp group
Comment 2 Robin Laing 2006-05-17 18:42:23 EDT
As a mobile phone user, I think this would be a great tool to add.  I am trying
moto4lin which works with my Motorla phone but it would be better to have a full
tools available.
Comment 3 Dennis Gilmore 2006-05-17 23:18:29 EDT
kmobiletools doesnt do everything.  it does not provide a way to put pictures 
and files on you phone or to take them off.  It allows you to manage sms and 
phone book 
Comment 4 Michael J Knox 2006-07-21 04:48:10 EDT
Hello.. I will review this package for you.. 


Review for release 2:

* RPM name is OK
* Source kmobiletools- is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK

Needs work:
* Scriptlets: missing "gtk-update-icon-cache" in %post (wiki: ScriptletSnippets)
* Scriptlets: missing "gtk-update-icon-cache" in %postun (wiki: ScriptletSnippets)

Package looks pretty good. If you fix up the %post/%postun scriplets, I can
approve this submission. 

Comment 5 Dennis Gilmore 2006-07-21 07:14:27 EDT
I wont fix  the %post/%postun  there is no need to add gnome cruft to a kde 
package.  and as has been stated in quite a few package reviews  and there is 
a bug filed  gtk-update-icon-cache   should be run as a cron job  not in 
Comment 6 Rex Dieter 2006-07-21 07:23:10 EDT
Re: comment #5.  I support Dennis' comment.  The fdo icon spec only requires
"touch"ing the affected icon dirs.
Comment 7 Michael J Knox 2006-07-21 16:31:29 EDT
OK then. I am just following the guidelines :-) 

However, I will APPROVE the submission as is. Please do not forget to close this
review once its been imported into CVS.  
Comment 8 Dennis Gilmore 2006-07-21 17:47:13 EDT
thanks for the review,  branched and built will go out with next push

Note You need to log in before you can comment on or make changes to this bug.